summaryrefslogtreecommitdiffstats
path: root/graphics/povray/povray.SlackBuild
diff options
context:
space:
mode:
author Niels Horn2010-05-13 00:58:23 +0200
committer Robby Workman2010-05-13 00:58:23 +0200
commit4ea4881ef28d6a990e65b1f65426267f670fc413 (patch)
tree7ee40f8642305b7727fbd89351583ca2f0933a63 /graphics/povray/povray.SlackBuild
parent055168680389845d5326b803dce9a0e33a950427 (diff)
downloadslackbuilds-4ea4881ef28d6a990e65b1f65426267f670fc413.tar.gz
graphics/povray: Added to 13.0 repository
Diffstat (limited to 'graphics/povray/povray.SlackBuild')
-rw-r--r--graphics/povray/povray.SlackBuild90
1 files changed, 90 insertions, 0 deletions
diff --git a/graphics/povray/povray.SlackBuild b/graphics/povray/povray.SlackBuild
new file mode 100644
index 0000000000..e0704a066d
--- /dev/null
+++ b/graphics/povray/povray.SlackBuild
@@ -0,0 +1,90 @@
+#!/bin/sh
+
+# Slackware build script for povray:
+# the Persistence of Vision Raytracer
+
+# Written by Niels Horn - niels.horn@gmail.com
+# revision date 2009/10/05
+
+PRGNAM=povray
+VERSION=3.6.1
+# The Source tarball does not contain the 'minor' version number in its name:
+SRCVERSION=3.6
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+POVRAY_BUILDER=${POVRAY_BUILDER:-"$(whoami) on $(hostname)"}
+
+# povray prefers -O3 to build, so we do not use the -O2 flag
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $TMP/$PRGNAM-$VERSION $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+tar xvf $CWD/$PRGNAM-$SRCVERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CXXFLAGS="$SLKCFLAGS" \
+ ./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux \
+ COMPILED_BY="$POVRAY_BUILDER"
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+)
+
+# Rename configuration files to .new, will be checked by doinst.sh
+mv $PKG/etc/$PRGNAM/$SRCVERSION/$PRGNAM.conf \
+ $PKG/etc/$PRGNAM/$SRCVERSION/$PRGNAM.conf.new
+mv $PKG/etc/$PRGNAM/$SRCVERSION/$PRGNAM.ini \
+ $PKG/etc/$PRGNAM/$SRCVERSION/$PRGNAM.ini.new
+
+# ./configure does not accept "--docdir=", so we'll move the docdir manually
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+mv $PKG/usr/share/doc/$PRGNAM-$SRCVERSION/* $PKG/usr/doc/$PRGNAM-$VERSION/
+rm -r $PKG/usr/share/doc
+cp -a COPYING INSTALL $PKG/usr/doc/$PRGNAM-$VERSION
+find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+sed "s,__VERSION__,$SRCVERSION,g" $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}